# Purpose

Roku's BIF file creation tool for linux is out of date (last updated six years). It includes a dependency on `libavformat.so.57`, which is obsolete on all modern GNU/Linux distributions.

This container allows execution of the BIF creation tool using a container powered by the archived Debian version "Stretch", which includes the correct version of the dependency.

# Usage

After cloning the repository, build the image:

```sh
podman build -t [local-image-name] .
```

Add your input and output folders to env variables:

```sh
INPUT_DIR=[path]
OUTPUT_DIR=[path]
```

You will need to grant all users read access to your input dir, and write + execute access to your output dir:

```sh
chmod o+r $INPUT_DIR
chmod o+wx $OUTPUT_DIR
```

Now, you can run the script. The input dir should be bind mounted read-only, and output dir bind mounted read-write:

```sh
podman run --rm \
--mount="type=bind,src=$INPUT_DIR,dst=/media,ro" \
--mount="type=bind,src=$OUTPUT_DIR,dst=/output" \
localhost/[local-image-name] -- /media
```
